function wp = calculateSPW(CEind,gains,resultdata,mat_index,alpha)
%CALCULATESPW A function to calculate subjective probability weights, w(p)

% Initialize vector
wp = zeros(1,length(CEind));

% x = monetary value for p(i/6), i = 1, 3, 4, 5
x = [1200 -1200];

% Loop through CE values to calculate wp for each probability 1/6, 3/6, 4/6, 5/6
for i=1:length(CEind)
    
        CE = resultdata(mat_index,CEind(i)); % Right CE value
        
        if gains==true; % Gains
            % Calculation of the subjective probability weight
            wp(i) = CE^alpha/(x(1)^alpha);
        elseif gains==false; % Losses
            wp(i) = -(-CE)^alpha/(-(-x(2))^alpha);
        end
        
end

end