function loglik = ce_loglik(data, alpha, wp26)

% Unpack data
x = data(1:6); % amount of money on offer with probability p
y = data(7:12); % alternative amount of money with probability 1-p
observed_data = data(13:end); % experimental data

% Generate predictions
% predicted CE values based on parameter estimates alpha and w(2/6)
if observed_data(1) < 0 % losses
    predictions = -((wp26.*(x.^alpha-y.^alpha)+y.^alpha).^(1/alpha));
else % gains
    predictions = (wp26.*(x.^alpha-y.^alpha)+y.^alpha).^(1/alpha);
end

sd = sqrt(mean((observed_data - predictions).^2)); % maximum likelihood standard deviation
loglik = sum(log(normpdf(observed_data, predictions, sd))); % log-likelihood

end

