function [parameters_final, resnorm, residual] = computePWF(pwf,resultdata,mat_index,Wpind,parameters_initial,probsx)
%COMPUTEPWF A function to calculate the parameters of the probability weighting function of prospect theory
% Delta (elevation) and gamma (distortion)

%ydata = resultdata(mat_index,Wpind);
ydata = [0 resultdata(mat_index,Wpind) 1]; % Getting the subjective probability vector from the result matrix
%options = optimset('disp','iter'); % Display each iteration of the optimisation/fitting

if pwf==true % Lattimore function
    [parameters_final, resnorm, residual] = lsqcurvefit('CPT_curvefit', parameters_initial, probsx, ydata, [0 0], [Inf Inf]);
else % Prelec 2-parameter function
    [parameters_final, resnorm, residual] = lsqcurvefit('CPT_curvefit_Prelec2', parameters_initial, probsx, ydata, [0 0], [Inf Inf]);
end

end