function [parameters_final, resnorm, residual] = estimateCPT(parameters_initial,ydata,targetorder,alphaestimated)
%ESTIMATECPT A function to estimate alpha (curvature parameter of the value function) and w(2/6) values

% Value function curvature (alpha) will be estimated in the optimizing function
if alphaestimated == true;
    %options = optimset('disp','iter'); % Display each iteration of the optimisation/fitting
    [parameters_final, resnorm, residual] = lsqcurvefit('WPV_curvefit', parameters_initial, targetorder, ydata, [0 0], [1 Inf]);
    % [0 0], [1 Inf] are the lower and upper bounds for the final parameters

% Curvature will be assumed linear (=1) and alpha will not be estimated
elseif alphaestimated == false;
    
    [parameters_final, resnorm, residual] = lsqcurvefit('WPV_linearfit', parameters_initial(2), targetorder, ydata, 0, 1);
    
end

end