function [indice,indprob] = getCEIndex(run_id,equivalence_indices,prob,ind_p33)
%GETCEINDEX Finding indices for certainty equivalents and the probabilities
% associated with them

% Picking out the relevant 10 rows matching the probabilities for this particular run
if run_id==1
    relrows = (1:10)';
elseif run_id==2
    relrows = (11:20)';
end

% Get the row corresponding to the probability of interest
currprobrow = find(equivalence_indices(relrows(:),2)==prob);

% If >1 equivalence indice for current probability (in the case of 2/6 x 6),
% take the right one in order
if numel(currprobrow)>1
    currprobrow = currprobrow(ind_p33+1);
end

indice = equivalence_indices(relrows(currprobrow),1);
indprob = equivalence_indices(relrows(currprobrow),2);

end