function paramCorrPlots(resultdata,simdata,gains)
%PARAMCORRPLOTS A function that generates correlation plots between parameters
% Used for correlating original and simulated values for a general idea of
% the success of the parameter recovery procedure

if gains==true; gl='Gains'; elseif gains==false; gl='Losses'; end;

% w(2/6)
[R,PValue] = corr(resultdata(:,16),simdata(:,16));

name = [gl 'PWFsimparamscorr_w26'];
fig = figure('name', name);
scatter(resultdata(:,16),simdata(:,16))
lsline
text(0.2,0.7,['R: ' num2str(R) ', p = ' num2str(PValue)]);
xlabel('Original parameter values');
xlim([0 1])
ylabel('Simulated parameter values');
ylim([0 1])
title([gl ': original and simulated w(2/6) values']);
%saveas(fig, ['Plots\' name]);

% Alpha
[R,PValue] = corr(resultdata(:,14),simdata(:,14));

name = [gl 'PWFsimparamscorr_alpha'];
fig = figure('name', name);
scatter(resultdata(:,14),simdata(:,14))
lsline
text(2,8,['R: ' num2str(R) ', p = ' num2str(PValue)]);
xlabel('Original parameter values');
xlim([0 12])
ylabel('Simulated parameter values');
ylim([0 12])
title([gl ': original and simulated alpha values']);
%saveas(fig, ['Plots\' name]);

% Delta
[R,PValue] = corr(resultdata(:,20),simdata(:,20));

name = [gl 'PWFsimparamscorr_delta'];
fig = figure('name', name);
scatter(resultdata(:,20),simdata(:,20))
lsline
text(0.5,3.5,['R: ' num2str(R) ', p = ' num2str(PValue)]);
xlabel('Original parameter values');
xlim([0 4])
ylabel('Simulated parameter values');
ylim([0 4])
title([gl ': original and simulated delta values']);
%saveas(fig, ['Plots\' name]);

% Gamma
[R,PValue] = corr(resultdata(:,21),simdata(:,21));

name = [gl 'PWFsimparamscorr_gamma'];
fig = figure('name', name);
scatter(resultdata(:,21),simdata(:,21))
lsline
text(0.5,3.5,['R: ' num2str(R) ', p = ' num2str(PValue)]);
xlabel('Original parameter values');
xlim([0 4])
ylabel('Simulated parameter values');
ylim([0 4])
title([gl ': original and simulated gamma values']);
%saveas(fig, ['Plots\' name]);

end