function loglik = wp_loglik(data, delta, gamma)

% Unpack data
p = data(1:5); % probabilities
observed_data = data(6:end); % experimental data

% Generate predictions
% predicted w(p) values based on parameter estimates delta and gamma
predictions = delta*p.^gamma./(delta*p.^gamma+(1-p).^gamma); % Lattimore 2-parameter Probability Weighting Function

sd = sqrt(mean((observed_data - predictions).^2)); % maximum likelihood standard deviation
loglik = sum(log(normpdf(observed_data, predictions, sd))); % log-likelihood

end

